### Method

# GUPnPAV DIDLLiteContainer add_search_class

#### Declaration [src]

    void
    gupnp_didl_lite_container_add_search_class (
      GUPnPDIDLLiteContainer* container,
      const char* search_class
    )

#### Description [src]

Add a new search class to the `container`.

`includDerived` will default to “1”. See `gupnp_didl_lite_container_add_search_class_full()` if you need to set the property to “0”.

#### Parameters

`search_class`

  Type: `const char*`

  The searchClass to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.